Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class ContractProductRowsInOut
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Private _QTT As Double
    Private _ContractProductRowsIn As ContractProductRows
    Private _ContractProductRowsOut As ContractProductRows

    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property ContractProductRowsIn As ContractProductRows
        Get
            Return _ContractProductRowsIn
        End Get
        Set(value As ContractProductRows)
            SetPropertyValue("ContractProductRowsIn", _ContractProductRowsIn, value)
        End Set
    End Property
    Property ContractProductRowsOut As ContractProductRows
        Get
            Return _ContractProductRowsOut
        End Get
        Set(value As ContractProductRows)
            SetPropertyValue("ContractProductRowsOut", _ContractProductRowsOut, value)
        End Set
    End Property
    Public Sub RemoveRows()
        Me.Delete()
    End Sub
End Class
